WORKERS_SQLALCHEMY_POOL_SIZE: 5
WORKERS_SQLALCHEMY_MAX_OVERFLOW: 5
MAX_WORKER_THREADS: 10
MAX_TASKS_PER_CHILD: 1000
MAX_MEM_PER_CHILD: 200000
WORKER_REPLICAS: 1
MAX_WORKER_REPLICAS: 5
WORKER_SCALER_MEM_UTILIZATION: 80
NUM_PROCESSES: 5
NUM_THREADS: 5
MAX_CONNECTIONS: 100
WEB_REPLICAS: 2
MAX_WEB_REPLICAS: 4
SCALER_CPU_UTILIZATION: 50
SCALER_MIN_REPLICAS: 2
TIKA_SCALER_CPU_UTILIZATION: 75
TIKA_REPLICAS: 2
MAX_TIKA_REPLICAS: 6
APPLICATION_IMAGE_NAME: cern-search-rest-api
APPLICATION_IMAGE_TAG: latest
WORKING_DIRECTORY: /opt/invenio/src
PROXY_REPLICAS: 1
TAGS_PROJECT: cern-search-master
HOST: dev-cern-search.web.cern.ch
DEFAULT_RECORDS_FILES_LOCATION: /usr/share/cern-search-api/files
CELERY_LOG_LEVEL: INFO
WORKER_APP: invenio_app.celery
USE_EGROUPS: False
CERN_SEARCH_FILES_PROCESSOR_QUEUE: files_processor
CERN_SEARCH_FILES_PROCESSOR_QUEUE_DLX: files_processor_dlx
CERN_SEARCH_FILES_PROCESSOR_EXCHANGE: default
CERN_SEARCH_FILES_PROCESSOR_EXCHANGE_DLX: dlx
REMOTE_APP_RESOURCE: test-cern-search.web.cern.ch
SEARCH_INSTANCE_PREFIX: cernsearch-
DEFAULT_INDEX: test-doc_v0.0.1
DEFAULT_DOC_TYPE: doc_v0.0.1
SEARCH_INSTANCE: test
SEARCH_MIN_SCORE: 0.8
ADMIN_USER: cernsearch@cern.ch
ALLOWED_HOSTS: [test-cern-search.web.cern.ch]
AUTHENTICATED_RATE_LIMIT: 100/second
SITE_NAME: CERN Search
LOGO_PATH: /images/cernsearchicon.png
ADMIN_UI_ACCESS_LIST: CernSearch-Administrators@cern.ch
SENTRY_LOGGING_LEVEL: WARNING
CONSOLE_LOGGING: False
CONSOLE_LOGGING_LEVEL: WARNING
PID_FILE_PATH: /opt/invenio/src/uwsgi.pid
CORS_SUPPORTS_CREDENTIALS: True
CORS_SEND_WILDCARD: False
SERVER_NAME: test-cern-search.web.cern.ch
DEFAULT_FILES_LOCATION: /usr/share/cern-search-api/files
DOMAIN: dev-cern-search
STORAGE: 5Ti
